Package Details: bookworm-git 1.1.2.r179.g3b1cc9d-1

Git Clone URL: https://aur.archlinux.org/bookworm-git.git (read-only, click to copy)
Package Base: bookworm-git
Description: A simple user centric eBook reader which displays multiple eBooks formats uniformly
Upstream URL: https://babluboy.github.io/bookworm
Keywords: bookworm ebook mobi pdf reader
Licenses: GPL3
Conflicts: bookworm
Provides: bookworm
Submitter: metak
Maintainer: metak
Last Packager: metak
Votes: 8
Popularity: 0.094602
First Submitted: 2017-05-07 17:20
Last Updated: 2021-02-04 11:24

Latest Comments

metak commented on 2021-04-09 08:31

@LiquidAurum To build arch packages from source you have to install base-devel group. In this case patch in provided by patch package in base-devel group.

LiquidAurum commented on 2021-04-08 21:35

getting stuck on this. Tried to to do markdown formatting, couldn't get it the way everyone else did sorry

==> Extracting sources...

-> Creating working copy of bookworm git repo...

Cloning into 'bookworm'...

done.

==> Starting prepare()...

/home/[REDACTED]/.cache/yay/bookworm-git/PKGBUILD: line 26: patch: command not found

==> ERROR: A failure occurred in prepare().

Aborting...

zarcth commented on 2019-01-25 13:20

While building, the following occurs:

"ERROR: Language Vala does not support position-independent executable"

In PKGBUILD, the following fixes the build for recent versions of meson:

 build() {
-    arch-meson ${pkgname%-*} build
+    arch-meson ${pkgname%-*} build -D b_pie='false'
     ninja -C build
 }

btd1337 commented on 2018-11-10 03:42

Needs update CMAKE to Meson

==> Iniciando build()...
CMake Error: The source directory "/home/arch/.cache/yay/bookworm-git/src/bookworm" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.
==> ERRO: Uma falha ocorreu em build().
    Abortando...